将ESXi升级到5.5后,某些VM尝试编辑配置时出现以下屏幕截图错误。

“您不能使用vSphere Client编辑版本10或更高版本的虚拟机的设置。

使用vSphere Web Client编辑此虚拟机的设置

 

解决方案是使用vSphere Web Client。对我来说,解决方法是以下两种方法:

1.将virtualHW.version更改为9或更低

  • 在ESXi中,清单中的远程VM
  • SSH进入ESXi
  • 光盘/ vmfs / volumes / datastore1 / testvm
  • VI虚拟机的.VMX文件
  • 找到显示“ virtualHW.version”的行。示例:virtualHW.version =“ 10”
  • 将值更改为8。示例:virtualHW.version =“ 9”
  • 使用命令“”将此虚拟机重新注册到清单中vim-cmd单独/注册vm /vmfs/volumes/datastore1/testvm/testvm.vmx

2.使用VMware Workstation 

在Workstation的VM管理菜单中,您可以将VM的硬件兼容性更改为Workstation 9.0或更低版本,然后将其上传到ESXi,如图所示 在这篇文章中,第7步.

通过 约翰

发表评论